gr::gsm::udp_socket Class Reference

`#include <udp_socket.h>`

## Public Member Functions

| udp_socket (const std::string &bind_addr, const std::string &src_port, const std::string &remote_addr, const std::string &dst_port, size_t mtu)
| ~udp_socket ()
void | udp_send (uint8_t *data, size_t len)

## Public Attributes

boost::function< void(uint8_t *, size_t)> | udp_rx_handler

## Constructor & Destructor Documentation

## udp_socket()

gr::gsm::udp_socket::udp_socket | ( | const std::string & | bind_addr,
|  | const std::string & | src_port,
|  | const std::string & | remote_addr,
|  | const std::string & | dst_port,
|  | size_t | mtu )

## ~udp_socket()

gr::gsm::udp_socket::~udp_socket | ( |  | ) |

## Member Function Documentation

## udp_send()

void gr::gsm::udp_socket::udp_send | ( | uint8_t * | data,
|  | size_t | len )

## Member Data Documentation

## udp_rx_handler

boost::function<void (uint8_t *, size_t)> gr::gsm::udp_socket::udp_rx_handler

The documentation for this class was generated from the following file:

- udp_socket.h